RanklyBee logoRanklyBee
Inbox

Get a conversation thread

GET
/workspaces/{workspaceId}/sites/{siteId}/threads/{threadId}

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

siteId*string

Site ID returned by GET /workspaces/{workspaceId}/sites.

threadId*string

Query Parameters

page?integer
Range1 <= value
Default1
limit?integer
Range1 <= value <= 100
Default25

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/string/sites/string/threads/string"
{  "ok": true,  "data": {    "thread": {      "id": "string",      "prospectId": "string",      "contactId": "string",      "status": "string",      "purpose": "string",      "starredAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    },    "message": {      "id": "string",      "subject": "string",      "body": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    },    "conversation": {      "id": "string",      "threadId": "string",      "contactId": "string",      "status": "string",      "outcome": "string",      "outcomeReason": "string",      "outcomeAt": "2019-08-24T14:15:22Z",      "classification": "string",      "inboundCount": 0,      "outboundCount": 0,      "lastInboundAt": "2019-08-24T14:15:22Z",      "lastOutboundAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    },    "events": [      {        "id": "string",        "type": "string",        "classification": "string",        "subject": "string",        "snippet": "string",        "receivedAt": "2019-08-24T14:15:22Z"      }    ],    "pagination": {      "page": 0,      "limit": 0,      "total": 0,      "hasMore": true    }  }}